=== debian/changelog ===
quakeforge (0.7.1-1) frozen unstable; urgency=low

  * version 0.7.1 :)

 -- Bill Currie <bill@taniwha.org>  Fri, 18 Jan 2013 16:52:58 +0900

quakeforge (0.6.0~git20110804-0) frozen unstable; urgency=low

  * Small debian bugfixes and GIT snapshot

 -- sergio <mailbox@sergio.spb.ru>  Thu, 04 Aug 2011 03:24:32 +0400

quakeforge (0.6.0~git20101223-1) frozen unstable; urgency=low

  * The "No, really" release.
  * Cleaned up lintian errors.

 -- Jeff Teunissen <deek@d2dc.net>  Fri, 24 Dec 2010 16:49:21 -0500

quakeforge (0.6.0~git20101223-0) frozen unstable; urgency=low

  * Getting ready for 0.6.0 release.

 -- Jeff Teunissen <deek@d2dc.net>  Thu, 24 Dec 2010 19:39:37 -0400

quakeforge (0.5.5-0cvs20040727) frozen unstable; urgency=low

  * CVS snapshot.

 -- Jeff Teunissen <deek@d2dc.net>  Tue, 27 Apr 2004 19:39:37 -0400

quakeforge (0.5.4-2) frozen unstable; urgency=high

  * compile against libvorbis0a instead of libvorbis0 (oops)

 -- Bill Currie <bill@taniwha.org>  Mon, 21 Jul 2003 23:09:00 -0600

quakeforge (0.5.4-1) frozen unstable; urgency=high

  * New release. fixes exploitable buffer overflow in qw-server
  * add previous changlog entry :P

 -- Bill Currie <bill@taniwha.org>  Thu, 17 Jul 2003 16:30:40 -0600

quakeforge (0.5.3-1) frozen unstable; urgency=low

  * New Release.
  * add the menu file as the problems for it in 0.5.2 have been fixed

 -- Bill Currie <bill@taniwha.org>  Wed, 09 Jul 2003 15:43:00 -0600

quakeforge (0.5.2-1.1) frozen unstable; urgency=low

  * The "It is a silly place" release.
  * Fix /etc/quakeforge.conf to load the default plugin, like all the work on
    the plugins made everyone think it would work. :)

 -- Jeff Teunissen <deek@d2dc.net>  Thu, 10 Oct 2002 00:54:23 -0400

quakeforge (0.5.2-1) frozen unstable; urgency=low

  * New release.
  * This package does not contain the menu file, because it would
    seriously screw up future upgrades. This will be fixed in 0.5.3.
    If you want menus, you'll have to download them from
    www.quakeforge.net for now.

 -- Jeff Teunissen <deek@d2dc.net>  Fri,  1 Oct 2002 02:54:17 -0400

quakeforge (0.5.1-0cvs20020416) frozen unstable; urgency=low

  * New snapshot.

 -- Jeff Teunissen <deek@d2dc.net>  Sat, 16 Apr 2002 04:07:02 -0400

quakeforge (0.5.1-0cvs20011117) frozen unstable; urgency=low

  * New snapshot.

 -- Jeff Teunissen <deek@d2dc.net>  Sat, 17 Nov 2001 18:13:02 -0500

quakeforge (0.5.1-0cvs20011103) frozen unstable; urgency=low

  * New snapshot.

 -- Jeff Teunissen <deek@d2dc.net>  Sat,  3 Nov 2001 16:13:02 -0500

quakeforge (0.5.1-0cvs20011015) frozen unstable; urgency=low

  * New snapshot

 -- Jeff Teunissen <deek@d2dc.net>  Mon, 15 Oct 2001 18:54:39 -0400

quakeforge (0.5.1-0cvs20010912) frozen unstable; urgency=low

  * Change version number to be closer to CVS
  * Lots of changes, all new packaging.

 -- Jeff Teunissen <deek@d2dc.net>  Wed, 12 Sep 2001 09:59:04 -0400

quakeforge (0.2.99beta6-0) frozen unstable; urgency=low

  * New upstream version

 -- Jeff Teunissen <deek@dusknet.dhs.org>  Tue, 14 Nov 2000 03:28:03 -0500

quakeforge (0.2.99alpha0-1) frozen unstable; urgency=low

  * New upstream release
  * New maintainer
  * uquake-* targets dropped upstream, to be re-added in new package
  * New package quakeforge-common contains quakeforge.conf conffile

 -- Jeff Teunissen <deek@dusknet.dhs.org>  Tue, 14 Nov 2000 03:26:04 -0500

quakeforge (0.2-20000308-1) frozen unstable; urgency=low

  * Unstable CVS snapshot
  * quake-* binaries are now named uquake-*
  * -gl targets are now more properly named -glx
  * Some minor annoyances with the status bar fixed in 0.1.1 have not been
    fixed in 0.2-d yet.  You won't see them, unless you play hip/rogue and
    they aren't really critical.
  * Sorry, no ~/.quake handling internally yet.

 -- Joseph Carter <knghtbrd@debian.org>  Wed,  8 Mar 2000 01:21:04 -0800

quakeforge (0.1.1-1) frozen unstable; urgency=medium

  * New upstream bugfix for people on Quack!
  * Fixed two nasty segfaults that could hose a box under SVGALib
  * Made UQuake statusbar behave sanely with cl_sbar 1 again
  * cl_sbar ignored properly in rogue/hipnotic--always assumed to be 1
  * default gl_clear to 1 so noclip doesn't do strange things onscreen
  * changed glClearColor to black so gl_clear 1 doesn't look like crap

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 27 Feb 2000 03:31:31 -0800

quakeforge (0.1.0-1) frozen unstable; urgency=HIGH

  * "0.0.9-1" was actually "0.1-20000103-1"
  * Fixed the sig4's in the SVGALib-using targets
  * replaced qwprogs.dat, no longer segfaults (Closes: #54152)
  * -ip will let you bind a specific IP (Closes: #14445)  (I hope)
  * quake-svga is suid root like other svgalib apps now (Closes: #47954)
  * quake-x11 restores repeat properly on normal exit (Closes: #48018)
  * If /dev/dsp can't be opened, just don't use sound (Closes: #53533)
  * The return of the wrapper scripts..  They've been rewritten a bit for
    dealing with unpacked pak files.  A new quake-lib-stub is needed if your
    pak files are not all lowercase.  (Closes: #54153, #54221, #54634)
  * svgalib targets are i386 only at the moment  =<  (Closes: #54451)
  * Built with newer libsdl  (Closes: #54488)
  * README now notes the gl_ztrick issue..  Essentially ztrick is a hack
    Id used to keep from clearing the Z buffer, it worked with older Mesa
    and with the 3dfx GL MCD.  Mesa 3+ flicker madly, so it defaults to off
    in the -gl target.  You still have to disable it by hand for the -3dfx
    target (since it's intended to be used with the 3dfx GL MCD..)  If set
    once to 0 it will be saved in that state.  (Closes: #54530)
  * If you want to start -svga and -3dfx from X, use open.  Documented this
    in the README.  (Closes: #54595)
  * Package relationships updated/fixed.  (Closes: #54747, #54868)
  * docs are now installed more sanely.  (Closes: #54749)
  * bins and data owned by games isn't going to happen  (Closes: #54742)


